DESCRIPTION = "Driver for HD Wireless Wi-Fi device"
HOMEPAGE = "http://www.hd-wireless.se"
PRIORITY = "optional"
SECTION = "kernel/modules"
LICENSE = "commercial"
PR = "r1"
RDEPENDS_${PN} = "wireless-tools \
	 wpa-supplicant \
	 "

LIC_FILES_CHKSUM = "file://LICENSE;md5=43595cb891d489164595ac8fe4cc4023"

SRC_URI = "http://linux.hd-wireless.se/pub/Linux/DownloadDrivers/owl-linux-${PV}.tar.gz \
	   file://owl-wifi-1.0.7.patch;apply=yes \
	"

S = "${WORKDIR}/owl-linux-${PV}"

inherit module

do_compile () {
        unset CFLAGS CPPFLAGS CXXFLAGS LDFLAGS CC LD CPP
        oe_runmake 'MODPATH=${D}${base_libdir}/modules/${KERNEL_VERSION}/kernel/drivers/net' \
                   'KERNELDIR=${STAGING_KERNEL_DIR}' \
                   'KDIR=${STAGING_KERNEL_DIR}' \
                   'KERNEL_VERSION=${KERNEL_VERSION}' \
                   'CC=${KERNEL_CC}' \
                   'LD=${KERNEL_LD}'
}

do_install() {
        install -d ${D}${base_libdir}/modules/${KERNEL_VERSION}/kernel/drivers/net
        install -m 0644 ${S}/owl*${KERNEL_OBJECT_SUFFIX} ${D}${base_libdir}/modules/${KERNEL_VERSION}/kernel/drivers/net
}

SRC_URI[md5sum] = "3dad6e132568192421660d83a80e8d2b"
SRC_URI[sha256sum] = "a6b1bc6b3900954438a0f1a316bac5f74171125a88c80c35e137f4ca512dedc6"

